<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<EPiServer.Research.Gadgets.Models.QuickWatchSettings>" %>
<%@ Import Namespace="EPiServer.Research.Gadgets.Models" %>
<%@ Import Namespace="EPiServer.Shell.Web.Mvc.Html" %>
<%@ Import Namespace="EPiServer.Core" %>
<% Html.BeginGadgetForm("StoreConfiguration"); %>
<div class="epi-padding epi-formArea">
    <fieldset>
        <legend><%= LanguageManager.Instance.TranslateFallback("/dashboard/quickwatchgadget/settingstitle","Settings")%></legend>
        <div>
        <label>
            <span><%= LanguageManager.Instance.TranslateFallback("/dashboard/quickwatchgadget/usinglabel","\"Using\" namespaces (divided by ';'):")%></span><br />
            <input type="text" name="Namespaces" style="width:80%" value='<%= Model.Namespaces %>' />
        </label>
        </div>
        <br />
        <div>
        <label>
            <span><%= LanguageManager.Instance.TranslateFallback("/dashboard/quickwatchgadget/watchlistlabel", "Constant Watches (divided by ';'):")%></span><br />
            <input type="text" name="WatchList"  style="width:80%" value='<%= Model.WatchList %>'/>
        </label>        
        </div>
        <br />
        <div>
        <label>
            <%= Html.CheckBox("ShowCodeBox",Model.ShowCodeBox) %>
            <%= LanguageManager.Instance.TranslateFallback("/dashboard/quickwatchgadget/customcodelabel", "Show custom code box")%>
        </label>
        <label>
            <%= Html.CheckBox("MultiLineCode",Model.MultiLineCode) %>
            <%= LanguageManager.Instance.TranslateFallback("/dashboard/quickwatchgadget/multilinelabel", "Multi line code box")%>
        </label>
        </div>
        <fieldset>
            <legend><%= LanguageManager.Instance.TranslateFallback("/dashboard/quickwatchgadget/objectexplorer", "Object Explorer")%></legend>
            <label>
                <span><%= LanguageManager.Instance.TranslateFallback("/dashboard/quickwatchgadget/maxdepthlabel", "Max. depth: ")%></span>
                <%= Html.TextBox("MaxDepth",Model.MaxDepth) %>
            </label>
            <label>
                <span><%= LanguageManager.Instance.TranslateFallback("/dashboard/quickwatchgadget/maxlistsizelabel", "Max. list size: ")%></span>
                <%= Html.TextBox("MaxArraySize",Model.MaxArraySize) %>
            </label><br />
            <label>
                <%= Html.CheckBox("ShowLists",Model.ShowLists) %>
                <span><%= LanguageManager.Instance.TranslateFallback("/dashboard/quickwatchgadget/showlistslabel", "Show lists")%></span>
            </label>
            <label>
                <%= Html.CheckBox("ShowStatic",Model.ShowStatic) %>
                <span><%= LanguageManager.Instance.TranslateFallback("/dashboard/quickwatchgadget/showstaticlabel", "Show static members")%></span>
            </label>
        </fieldset>
    </fieldset>
    <div class="epi-buttonRow">
        <%= Html.AcceptButton()%><%= Html.CancelButton()%>
    </div>

</div>
<% Html.EndForm(); %>