<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<System.CodeDom.Compiler.CompilerErrorCollection>" %>
<%@ Import Namespace="EPiServer.Core" %>
<table>
    <caption>
        <%= LanguageManager.Instance.TranslateFallback("/dashboard/quickwatchgadget/compileerrorstitle", "Compile Errors")%></caption>
    <thead>
        <tr>
            <th scope="col">
                <%= LanguageManager.Instance.TranslateFallback("/dashboard/quickwatchgadget/errorcode", "Code")%>
            </th>
            <th scope="col">
                <%= LanguageManager.Instance.TranslateFallback("/dashboard/quickwatchgadget/errormessage", "Message")%>
            </th>
        </tr>
    </thead>
    <tbody>
    <% foreach (System.CodeDom.Compiler.CompilerError e in Model)
       { %>
        <tr>
            <td>
                <%= e.ErrorNumber %>
            </td>
            <td>
                <%= e.ErrorText %>
            </td>
        </tr>
        <% } %>
    </tbody>
</table>
