<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<EPiServer.Research.Gadgets.Models.QuickWatchModel>" %>
<%@ Import Namespace="EPiServer.Shell.Web.Mvc.Html" %>
<%@ Import Namespace="EPiServer.Core" %>
<div class="epi-padding  epi-contentArea">
    <% if (Model.Settings.ShowCodeBox)
       { %>
    <% Html.BeginGadgetForm("RunCode"); %>
    <% if (Model.Settings.MultiLineCode)
       { %>
       <%= Html.TextArea("Code",Model.Code, new { style="width:100%"}) %>
    <% }
       else
       { %>
       <%= Html.TextBox("Code",Model.Code, new { style="width:80%"}) %>
    <%} %>
    <%= Html.AcceptButton()%>
    <% Html.EndForm(); %>
    <% } %>
    <% if (Model.Result is System.CodeDom.Compiler.CompilerErrorCollection) Html.RenderPartial("ErrorList", Model.Result); %>
    <% if (Model.Result is IList<EPiServer.Research.Gadgets.Models.ObjectInfo>) Html.RenderPartial("ObjectList", Model.Result); %>
    <% if (!string.IsNullOrEmpty(Model.Settings.WatchList))
       { %>
        <span onclick="epi.gadget.loadView(this);" class="epi-size3" style="cursor:pointer"><%= LanguageManager.Instance.TranslateFallback("/dashboard/quickwatchgadget/refresh","Refresh")%> </span>
    <% } %>
</div>
