<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<IList<EPiServer.Research.Gadgets.Models.ObjectInfo>>" %>
<%@ Import Namespace="EPiServer.Core" %>
<table>
    <caption><%= LanguageManager.Instance.TranslateFallback("/dashboard/quickwatchgadget/watchlisttitle", "Watches")%></caption>
    <thead>
        <tr>
            <th scope="col" style="width:25%">
                <%= LanguageManager.Instance.TranslateFallback("/dashboard/quickwatchgadget/watchname", "Name")%>
            </th>
            <th scope="col" style="width:45%; max-width:45%">
                <%= LanguageManager.Instance.TranslateFallback("/dashboard/quickwatchgadget/watchvalue", "Value")%>
            </th>
            <th scope="col" style="width:30%">
                <%= LanguageManager.Instance.TranslateFallback("/dashboard/quickwatchgadget/watchtype", "Type")%>
            </th>
        </tr>
    </thead>
    <tbody>
    <% foreach (EPiServer.Research.Gadgets.Models.ObjectInfo oi in Model)
       { %>
        <tr class='QuickWatchRow <%=(oi.Level>0)?"epi-noDisplay":"" %>' path="<%= oi.Path %>" me="<%= oi.Id %>" onclick="javascript:QuickWatchToggleChildren(this);" style="cursor: pointer">
            <td class="QuickWatchRow" style="padding-left:<%= (oi.Level*15).ToString() %>px">
                <%= oi.Name %>
            </td>
            <td class="QuickWatchRow">
                <%= oi.Value %>
            </td>
            <td class="QuickWatchRow">
                <%= oi.TypeName %>
            </td>
        </tr>
        <%} %>
    </tbody>
</table>
